%define jsoncpp_major 24
%define libname       %mklibname %name %{jsoncpp_major}
%define develname     %mklibname %name -d

Name:           jsoncpp
Version:        1.9.4
Release:        %mkrel 1
Summary:        C++ JSON Library
License:        Public Domain
Group:          System/Libraries
Url:            https://github.com/open-source-parsers/jsoncpp
Source0:        https://github.com/open-source-parsers/jsoncpp/archive/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.


%package -n %{libname}
Summary:        JsonCpp library
Group:          System/Libraries
Provides: libjsoncpp.so.24()(64bit)
Obsoletes: lib64jsoncpp0

%description -n %{libname}
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       jsoncpp-devel = %{version}-%{release}
Provides:       libjsoncpp-devel = %{version}-%{release}
Provides:       pkgconfig(jsoncpp)
Provides:      devel(libjsoncpp(64bit))

%description -n %{develname}
Files for building applications with %{name} support.

%prep
%setup -q

%build
%cmake \
  -DJSONCPP_WITH_TESTS:BOOL=OFF \
  -DJSONCPP_WITH_POST_BUILD_UNITTEST:BOOL=OFF \
  -DBUILD_OBJECT_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_includedir}/jsoncpp/
ln -s %{_includedir}/json %{buildroot}%{_includedir}/jsoncpp/json

%pretrans -n %{develname} -p <lua>
path = "%{_includedir}/jsoncpp/json"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end

%files -n %{libname}
%{_libdir}/libjsoncpp.so.%{jsoncpp_major}
%{_libdir}/libjsoncpp.so.%{version}

%files -n %{develname}
%{_includedir}/json/
%{_includedir}/jsoncpp/
%{_libdir}/libjsoncpp.so
%{_libdir}/pkgconfig/jsoncpp.pc
%{_libdir}/cmake/jsoncpp/


%changelog
* Sun Sep 26 2021 tex - 1.9.4-1pclos2021
- new version
